<%@ LANGUAGE = VBScript.Encode %>
<%'******** Create database connection ********** 
Dim conn : Set conn = Server.CreateObject("ADODB.Connection")

strMyConn = "DRIVER={Microsoft Access Driver (*.mdb)}; DBQ="&Server.MapPath("digiaff.mdb")&""
'strMyConn = "DRIVER={Microsoft Access Driver (*.mdb)}; DBQ=c:\inetpub\wwwroot\my_file_name\digiaff.mdb "
strLogin = ""
strPassword = ""
conn.open strMyConn, strLogin, strPassword%>

<!--#include file="insert.asp"-->
<%
'******** Which Language? ********
Select Case getConfig("language")
  Case "1"
	%><!--#include file="english.asp"--><%
  Case "2" 	
	%><!--#include file="francais.asp"--><%
  Case "3" 	
	%><!--#include file="spanish.asp"--><%
  Case "4" 	
	%><!--#include file="german.asp"--><%	
End Select


'********** Convert a number to a sql value **********
function ToNum(var)
  if Len(var & "")=0 then ToNum=0 else ToNum=CLng(var)
end function

'******* Convert a string to an sql string *********
Function ToSQL(Value, sType)
  Dim Param : Param = Value
  if Param = "" then
    ToSQL = "Null"
  else
    if sType = "Number" then
      ToSQL = replace(CDbl(Param), ",", ".")
    else
      ToSQL = "'" & Replace(Param, "'", "''") & "'"
    end if
  end if
end function

'********** Send Email depend of which conponent choosen ***********
sub sendemail(email_to, email_from, email_subject, email_body,smtp_host)
 email_body = replace(email_body,vbCRLF,"<br>")
 email_body = replace(email_body,chr(13),"<br>")
 if smtp_host = "" then
	component_id = 0
 else
	component_id = getConfig("email_component_id")
 end if
on error resume next
 select case component_id
 case "1" '******* ASPMail ********
    Set Mailer = Server.CreateObject("SMTPsvg.Mailer")
    Mailer.FromName   = email_from
    Mailer.FromAddress= email_from
    Mailer.RemoteHost = smtp_host
    Mailer.ContentType = "text/html"
    Mailer.AddRecipient email_to, email_to
    Mailer.Subject    = email_subject
    Mailer.BodyText   = email_body
    Mailer.SendMail
    set Mailer = Nothing
 case "2" '******** JMail ******** 
    Set jmail = Server.CreateObject ("JMail.SMTPMail")
    jmail.ServerAddress = smtp_host
    jmail.Sender = email_from
    jmail.Subject = email_subject
    jmail.AddRecipient email_to
    jmail.ContentType = "text/html"
    jmail.Body = email_body
    jmail.Execute
    set jmail = nothing
 case "3" '******** ASPEmail ********
    Set Mailer = Server.CreateObject("Persits.MailSender")
    Mailer.From = email_from
    Mailer.AddAddress email_to
    Mailer.Host = smtp_host
    Mailer.IsHTML = True
    Mailer.Subject    = email_subject
    Mailer.Body       = email_body
    Mailer.Send
    set Mailer = Nothing
 case "4" '******** SimpleMail ********
    Set o = Server.CreateObject("ADISCON.SimpleMail.1")
    o.MailServer = smtp_host
    o.Sender = email_from
    o.Subject = email_subject
    o.Recipient email_to
    o.MessageText = email_body
    o.Send
    set o = nothing
 case "5" '******** CDONTS ********
    Set objCDO = Server.CreateObject("CDONTS.NewMail")
    objCDO.From = email_from
    objCDO.To =   email_to
    objCDO.Subject = email_subject
    objCDO.Body = email_body
    objCDO.Send
    set objCDO=Nothing
 end select
end sub

'******** Security ********
function checkuser()
	if session("userid") = "" then
		response.redirect "login.asp"
	else
		session("userid") = session("userid")
	end if
end function

function checkadmin()
	if session("admin") = "" then
		response.redirect "login.asp"
	else
		session("admin") = session("admin")
	end if
end function

'******** Return the name of the month ********
function name_month(val)
    Select Case val
      Case 1
    	name_month = lang47
      Case 2 	
    	name_month = lang48
      Case 3 	
    	name_month = lang49
      Case 4 	
    	name_month = lang50
      Case 5 	
    	name_month = lang51
      Case 6 	
    	name_month = lang52
      Case 7 	
    	name_month = lang53
      Case 8 	
    	name_month = lang54
      Case 9 	
    	name_month = lang55 
      Case 10 	
    	name_month = lang56
      Case 11 	
    	name_month = lang57
      Case 12 	
    	name_month = lang58
    End Select
end function

'******** Return a date depending of the format ********
function  get_date(imonth,iyear,itype)
    if cint(getConfig("server_type")) = 1 then
	   if itype = "start" then
	      get_date = "01" & "/" & imonth & "/" & iyear & " 00:00:00 AM"
	   else
	      get_date = totalday(imonth) & "/" & imonth & "/" & iyear & " 11:59:59 PM"
	   end if
	else
	   if itype = "start" then
		  get_date = imonth & "/01/" & iyear & " 00:00:00 AM"
	   else
	      get_date = imonth & "/" & totalday(imonth) & "/" & iyear & " 11:59:59 PM"
	   end if

	end if
end function

'******** Return a date in the display format ********
function  display_date(idate)

    if day(idate) < 10 then
	   iday = "0" & day(idate)
	else
	   iday = day(idate)
	end if
	
    if month(idate) < 10 then
	   imonth = "0" & month(idate)
	else
	   imonth = month(idate)
	end if
		
    if cint(getConfig("format_date")) = 1 then
	    display_date = iday & "/" & imonth & "/" & year(idate)
	else
		display_date = imonth & "/" & iday & "/" & year(idate)
	end if
end function

'******** Return a number of day per month ********
function totalday(imonth)
	select case imonth
		case 1 
			 totalday = 31
		case 2 
			 totalday = 28
		case 3 
			 totalday = 31
		case 4 
			 totalday = 30
		case 5 
			 totalday = 31
		case 6 
			 totalday = 30
		case 7 
			 totalday = 31
		case 8 
			 totalday = 31
		case 9 
			 totalday = 30
		case 10 
			 totalday = 31
		case 11 
			 totalday = 30
		case 12 
			 totalday = 31
	end select
end function

'******** Display the type of Commission ********
function display_type(which_type)
	select case which_type
		   case 0
		   		display_type = lang230
		   case 1
		   		display_type = lang231
		   case 2
		   		display_type = lang230 & " " & lang179
		   case 3
		   		display_type = lang231 & " " & lang179
	end select
end function%>